summaryrefslogtreecommitdiff
path: root/source4/lib/ldb/tests/test-soloading.sh
diff options
context:
space:
mode:
authorJelmer Vernooij <jelmer@samba.org>2007-11-05 21:57:33 +0100
committerStefan Metzmacher <metze@samba.org>2007-12-21 05:44:22 +0100
commitf017f871078fd2219766ea061468268acb92140c (patch)
tree61b221f9831767e35bbbdd9e062e2c41fec9989d /source4/lib/ldb/tests/test-soloading.sh
parentf86dca4d4bcb8b6ee97193c189bbfc30312ec1ee (diff)
downloadsamba-f017f871078fd2219766ea061468268acb92140c.tar.gz
samba-f017f871078fd2219766ea061468268acb92140c.tar.bz2
samba-f017f871078fd2219766ea061468268acb92140c.zip
r25842: Start working on test for loading dso's in ldb.
(This used to be commit d41ed7ca8d3954bf586126edd7aba17acc6af8a1)
Diffstat (limited to 'source4/lib/ldb/tests/test-soloading.sh')
-rwxr-xr-xsource4/lib/ldb/tests/test-soloading.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/source4/lib/ldb/tests/test-soloading.sh b/source4/lib/ldb/tests/test-soloading.sh
new file mode 100755
index 0000000000..c42c9b22ba
--- /dev/null
+++ b/source4/lib/ldb/tests/test-soloading.sh
@@ -0,0 +1,32 @@
+#!/bin/sh
+
+if [ -n "$TEST_DATA_PREFIX" ]; then
+ LDB_URL="$TEST_DATA_PREFIX/tdbtest.ldb"
+else
+ LDB_URL="tdbtest.ldb"
+fi
+export LDB_URL
+
+PATH=bin:$PATH
+export PATH
+
+rm -f $LDB_URL*
+
+if [ -z "$LDBDIR" ]; then
+ LDBDIR=`dirname $0`/..
+ export LDBDIR
+fi
+
+cat <<EOF | $VALGRIND ldbadd || exit 1
+dn: @MODULES
+@LIST: sample_module
+EOF
+
+cat <<EOF | $VALGRIND ldbadd || exit 1
+dn: dc=bar
+dc: bar
+someThing: someThingElse
+EOF
+
+$VALGRIND ldbsearch "(touchedBy=sample)" | grep "touchedBy: sample" || exit 1
+